// SPDX-License-Identifier: 0BSD
/*
 * @license{
 * BSD Zero Clause License
 *
 * Permission to use, copy, modify, and/or distribute this software for any
 * purpose with or without fee is hereby granted.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
 * REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
 * INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
 * LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
 * OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THIS SOFTWARE.
 * }
 */
/*==============================================================================
    GUARD
==============================================================================*/
#ifndef CPL_MAP_GEN_H
#define CPL_MAP_GEN_H
/*==============================================================================
    PREPROCESSOR
==============================================================================*/
#define CPL_MAP_FIXED_2(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_1(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_3(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_2(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_4(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_3(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_5(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_4(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_6(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_5(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_7(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_6(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_8(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_7(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_9(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_8(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_10(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_9(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_11(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_10(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_12(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_11(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_13(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_12(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_14(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_13(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_15(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_14(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_16(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_15(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_17(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_16(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_18(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_17(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_19(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_18(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_20(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_19(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_21(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_20(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_22(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_21(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_23(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_22(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_24(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_23(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_25(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_24(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_26(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_25(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_27(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_26(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_28(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_27(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_29(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_28(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_30(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_29(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_31(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_30(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_32(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_31(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_33(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_32(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_34(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_33(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_35(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_34(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_36(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_35(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_37(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_36(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_38(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_37(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_39(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_38(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_40(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_39(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_41(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_40(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_42(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_41(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_43(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_42(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_44(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_43(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_45(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_44(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_46(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_45(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_47(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_46(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_48(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_47(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_49(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_48(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_50(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_49(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_51(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_50(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_52(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_51(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_53(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_52(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_54(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_53(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_55(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_54(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_56(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_55(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_57(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_56(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_58(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_57(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_59(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_58(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_60(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_59(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_61(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_60(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_62(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_61(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_63(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_62(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_64(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_63(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_65(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_64(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_66(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_65(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_67(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_66(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_68(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_67(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_69(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_68(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_70(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_69(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_71(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_70(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_72(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_71(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_73(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_72(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_74(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_73(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_75(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_74(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_76(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_75(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_77(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_76(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_78(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_77(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_79(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_78(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_80(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_79(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_81(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_80(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_82(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_81(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_83(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_82(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_84(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_83(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_85(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_84(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_86(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_85(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_87(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_86(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_88(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_87(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_89(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_88(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_90(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_89(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_91(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_90(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_92(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_91(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_93(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_92(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_94(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_93(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_95(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_94(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_96(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_95(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_97(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_96(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_98(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_97(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_99(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_98(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_100(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_99(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_101(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_100(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_102(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_101(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_103(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_102(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_104(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_103(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_105(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_104(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_106(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_105(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_107(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_106(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_108(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_107(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_109(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_108(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_110(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_109(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_111(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_110(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_112(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_111(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_113(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_112(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_114(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_113(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_115(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_114(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_116(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_115(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_117(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_116(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_118(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_117(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_119(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_118(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_120(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_119(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_121(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_120(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_122(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_121(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_123(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_122(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_124(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_123(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_125(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_124(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_126(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_125(M, S, F, __VA_ARGS__)
#define CPL_MAP_FIXED_127(M, S, F, A, ...) CPL_MAP_FIXED_1(M, S, F, A) S() CPL_MAP_FIXED_126(M, S, F, __VA_ARGS__)
/*==============================================================================
    GUARD
==============================================================================*/
#endif // CPL_MAP_GEN_H
