// SPDX-License-Identifier: 0BSD
/*!
 * @file
 * @license{
 * BSD Zero Clause License
 *
 * Copyright (c) 2022 by Raphael Bach
 *
 * Permission to use, copy, modify, and/or distribute this software for any
 * purpose with or without fee is hereby granted.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
 * REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
 * INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
 * LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
 * OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THIS SOFTWARE.
 * }
 */
/*==============================================================================
    GUARD
==============================================================================*/
#ifndef FMPI_STENCIL_H_20220606044454
#define FMPI_STENCIL_H_20220606044454
/*==============================================================================
    INCLUDE
==============================================================================*/
// C Standard Library
#include <stddef.h> // size_t
/*==============================================================================
    TYPE
==============================================================================*/
/*------------------------------------------------------------------------------
    fmpi_stencil_type
------------------------------------------------------------------------------*/
typedef enum fmpi_stencil_type {
    FMPI_STENCIL_NONE = 0,
    FMPI_STENCIL_SQUARE
} fmpi_stencil_type;
/*------------------------------------------------------------------------------
    fmpi_stencil
------------------------------------------------------------------------------*/
typedef struct fmpi_stencil {
    enum fmpi_stencil_type type;
    size_t dim_cnt;
    size_t length;
} fmpi_stencil;
/*==============================================================================
    PUBLIC FUNCTION
==============================================================================*/
/*------------------------------------------------------------------------------
    fmpi_no_stencil()
------------------------------------------------------------------------------*/
struct fmpi_stencil fmpi_no_stencil(void);
/*------------------------------------------------------------------------------
    fmpi_stencil_1d()
------------------------------------------------------------------------------*/
struct fmpi_stencil fmpi_stencil_1d(size_t length);
/*------------------------------------------------------------------------------
    fmpi_stencil_square()
------------------------------------------------------------------------------*/
struct fmpi_stencil fmpi_stencil_square(size_t length);
/*==============================================================================
    GUARD
==============================================================================*/
#endif // FMPI_STENCIL_H_20220606044454
