// SPDX-License-Identifier: 0BSD
/*!
 * @file
 * @license{
 * BSD Zero Clause License
 *
 * Copyright (c) 2022 by Raphael Bach
 *
 * Permission to use, copy, modify, and/or distribute this software for any
 * purpose with or without fee is hereby granted.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
 * REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
 * INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
 * LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
 * OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THIS SOFTWARE.
 * }
 */
/*==============================================================================
    GUARD
==============================================================================*/
#ifndef FMPI_DATA_INTERNAL_H_20211231184018
#define FMPI_DATA_INTERNAL_H_20211231184018
/*==============================================================================
    INCLUDE
==============================================================================*/
// C Standard Library
#include <stddef.h> // size_t
// Internal
#include "fmpi_generic.h"
#include "fmpi_type_generic.h"
/*==============================================================================
    MACRO
==============================================================================*/
struct fmpi_ctx;

#define FMPI_DATA_TYPES \
    FMPI_TYPE_REAL

#define FMPI_DATA_FUNC(func, data) \
    FMPI_GENERIC_FUNC(data, data_##func, FMPI_DATA_TYPES)

#define FMPI_DATA_FUNC_DECLARATION_T(T) \
struct fmpi_data fmpi_data_out_##T( \
    const struct fmpi_ctx * ctx, T * data \
)

FMPI_DECLARE_FUNCS_T(FMPI_DATA_FUNC_DECLARATION_T, FMPI_DATA_TYPES);

#define FMPI_DATA_FUNC_DECLARATION_DT(D, T) \
struct fmpi_data fmpi_data_##D##d_in_##T( \
    const struct fmpi_ctx * ctx, T * data, size_t x, size_t y, size_t z \
);\
struct fmpi_data fmpi_data_##D##d_out_##T( \
    const struct fmpi_ctx * ctx, T * data, size_t x, size_t y, size_t z \
)

FMPI_DECLARE_FUNCS_DT(FMPI_DATA_FUNC_DECLARATION_DT, 1, FMPI_DATA_TYPES);
FMPI_DECLARE_FUNCS_DT(FMPI_DATA_FUNC_DECLARATION_DT, 2, FMPI_DATA_TYPES);
FMPI_DECLARE_FUNCS_DT(FMPI_DATA_FUNC_DECLARATION_DT, 3, FMPI_DATA_TYPES);
/*==============================================================================
    GUARD
==============================================================================*/
#endif // FMPI_DATA_INTERNAL_H_20211231184018
