// SPDX-License-Identifier: 0BSD
/*!
 * @file
 * @license{
 * BSD Zero Clause License
 *
 * Copyright (c) 2022 by Raphael Bach
 *
 * Permission to use, copy, modify, and/or distribute this software for any
 * purpose with or without fee is hereby granted.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
 * REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
 * INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
 * LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
 * OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THIS SOFTWARE.
 * }
 */
/*==============================================================================
    INCLUDE
==============================================================================*/
// Own header
#include "fmpi_stencil.h"
// C Standard Library
#include <stddef.h> // size_t
/*==============================================================================
    PUBLIC FUNCTION DEFINITION
==============================================================================*/
/*------------------------------------------------------------------------------
    fmpi_no_stencil()
------------------------------------------------------------------------------*/
struct fmpi_stencil fmpi_no_stencil(void)
{
    return (struct fmpi_stencil){
        .type = FMPI_STENCIL_NONE,
        .dim_cnt = 0,
        .length = 0
    };
}
/*------------------------------------------------------------------------------
    fmpi_stencil_1d()
------------------------------------------------------------------------------*/
struct fmpi_stencil fmpi_stencil_1d(const size_t length)
{
    return (struct fmpi_stencil){
        .type = FMPI_STENCIL_SQUARE,
        .dim_cnt = 1,
        .length = length
    };
}
/*------------------------------------------------------------------------------
    fmpi_stencil_square()
------------------------------------------------------------------------------*/
struct fmpi_stencil fmpi_stencil_square(const size_t length)
{
    return (struct fmpi_stencil){
        .type = FMPI_STENCIL_SQUARE,
        .dim_cnt = 2,
        .length = length
    };
}
